﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Resource
{
    /// <summary>
    /// 团组数据 导游数据
    /// </summary>
    public class Res_GuidesInfo:EntityBase
    {
        /// <summary>
        /// 国家
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "varchar(50)")]
        public string Country { get; set; }

        /// <summary>
        /// 城市
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "varchar(50)")]
        public string City { get; set; }

        /// <summary>
        ///导游服务类型
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string ServiceType { get; set; }

        /// <summary>
        /// 工作时间
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "int")]
        public int When { get; set; }

        /// <summary>
        /// 导游工资
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal Price { get; set; }

        /// <summary>
        /// 翻译工资
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "decimal(10,2)")]
        public decimal TranslationPrice { get; set; }

        /// <summary>
        /// 超时费用
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "decimal(10,2)")]
        public decimal OvertimeFee { get; set; }

        /// <summary>
        /// 币种
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "varchar(10)")]
        public string Currency { get; set; }
    }
}
