﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.System
{
    /// <summary>
    /// 岗位权限设置
    /// </summary>
    [SugarTable("Sys_JobPostAuthority")]
    public class Sys_JobPostAuthority
    {
        /// <summary>
        /// 岗位表Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int JpId { get; set; }
        /// <summary>
        /// 页面权限Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int SmId { get; set; }
        /// <summary>
        /// 页面功能Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int FId { get; set; }
    }
}
