﻿using OASystem.Domain.Entities.System;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.System
{
    
    /// <summary>
    /// 用户数据 数据库返回数据实体接受类
    /// 查询返回View
    /// </summary>
    public class UserIView
    {

        /// <summary>
        /// 部门Id
        /// </summary>

        public int DepId { get; set; }
       
        /// <summary>
        /// 部门名称
        /// </summary>
        public string DepName { get; set; }
        /// <summary>
        /// 岗位Id
        /// </summary>
        public int JobPostId { get; set; }
        /// <summary>
        /// 岗位名称
        /// </summary>
        public string JobName { get; set; }
        /// <summary>
        /// 用户Id
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 中文姓名
        /// </summary>
        
        public string CnName { get; set; }
       
        /// <summary>
        /// 工号
        /// </summary>
        
        public string Number { get; set; }
        /// <summary>
        /// 手机号
        /// </summary>
        
        public string Phone { get; set; }
        /// <summary>
        /// 紧急联系人 手机号
        /// </summary>
        
        public string UrgentPhone { get; set; }
        /// <summary>
        /// 邮箱
        /// </summary>
        
        public string Email { get; set; }
    }

    /// <summary>
    /// 用户数据 - Web
    /// 查询返回View
    /// </summary>
    public class UserIWebView
    {
        /// <summary>
        /// 工号
        /// </summary>
        public string Number { get; set; }

        /// <summary>
        /// 用户Id
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 中文姓名
        /// </summary>
        public string CnName { get; set; }

        /// <summary>
        /// 公司Id
        /// </summary>
        public int CompanyId { get; set; }

        /// <summary>
        /// 公司名称
        /// </summary>
        public string CompanyName { get; set; }

        /// <summary>
        /// 部门Id
        /// </summary>
        public int DepId { get; set; }

        /// <summary>
        /// 部门名称
        /// </summary>
        public string DepName { get; set; }

        /// <summary>
        /// 岗位Id
        /// </summary>
        public int JobPostId { get; set; }
        /// <summary>
        /// 岗位名称
        /// </summary>
        public string JobName { get; set; }
       
        /// <summary>
        /// 分机号
        /// </summary>

        public string Ext { get; set; }

        /// <summary>
        /// 手机号
        /// </summary>
        public string Phone { get; set; }

        /// <summary>
        /// 紧急联系人 手机号
        /// </summary>
        public string UrgentPhone { get; set; }

        /// <summary>
        /// 邮箱
        /// </summary>
        public string Email { get; set; }

    }
}
