﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Resource
{
    /// <summary>
    /// 代理出票合作方资料表
    /// </summary>
    [SugarTable("Res_AirTicketAgent")]
    public class Res_AirTicketAgent:EntityBase
    {
        /// <summary>
        /// 代理商名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string Name { get; set; }
        /// <summary>
        /// 代理商账户
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string Account { get; set; }
        /// <summary>
        /// 代理商银行
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string Bank { get; set; }
    }
}
