﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.System
{
    /// <summary>
    /// 系统用户权限设置（个人级）
    /// </summary>
    [SugarTable("Sys_UserAuthority")]
    public class Sys_UserAuthority
    {
        /// <summary>
        /// 用户Id
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType ="int")]
        public int UId { get; set; }
        /// <summary>
        /// 页面权限Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int SmId { get; set; }
        /// <summary>
        /// 页面功能Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int FId { get; set; }
    }
}
